Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::views::unique_base_fn Struct Reference
Inheritance diagram for ranges::views::unique_base_fn:

## Public Member Functions
template<typename Rng , typename C = equal_to>
constexpr adjacent_filter_view< all_t< Rng >, logical_negate< C > > | operator() (Rng &&rng, C pred={}) const

## Member Function Documentation

## ◆ operator()()

template<typename Rng , typename C = equal_to>

constexpr adjacent_filter_view<all_t<Rng>, logical_negate<C> > ranges::views::unique_base_fn::operator() | ( | Rng && | rng,
|  | C | pred = `{}`
| ) |  | const
| constexpr

Precondition
  requires `viewable_range<Rng> && forward_range<Rng> && indirect_relation<C, iterator_t<Rng>>`